aboutsummaryrefslogtreecommitdiffstats
path: root/tests/rename-exists-db
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
commitc6bbdd8aa697b2d42be1ac0839189da32d437a8f (patch)
treecd1b8d19d99557fbebe33344d0d23f6ac826da57 /tests/rename-exists-db
parent87d947df1b837514a0f1efa3bc36b58088bd2564 (diff)
parentdac4ab1c9306bf2035bc1547d2ed27ab09850120 (diff)
Merge branch 'master' into debian
Diffstat (limited to 'tests/rename-exists-db')
-rw-r--r--tests/rename-exists-db/local.conf3
-rw-r--r--tests/rename-exists-db/remote.conf3
-rw-r--r--tests/rename-exists-db/t14
3 files changed, 20 insertions, 0 deletions
diff --git a/tests/rename-exists-db/local.conf b/tests/rename-exists-db/local.conf
new file mode 100644
index 0000000..b56cc70
--- /dev/null
+++ b/tests/rename-exists-db/local.conf
@@ -0,0 +1,3 @@
+namespace inbox {
+ separator = .
+}
diff --git a/tests/rename-exists-db/remote.conf b/tests/rename-exists-db/remote.conf
new file mode 100644
index 0000000..9657e89
--- /dev/null
+++ b/tests/rename-exists-db/remote.conf
@@ -0,0 +1,3 @@
+namespace inbox {
+ separator = "\\"
+}
diff --git a/tests/rename-exists-db/t b/tests/rename-exists-db/t
new file mode 100644
index 0000000..cb6cfcd
--- /dev/null
+++ b/tests/rename-exists-db/t
@@ -0,0 +1,14 @@
+doveadm -u "local" mailbox create "root.from" "root.from.child" "t.o"
+doveadm -u "remote" mailbox create "root\\from" "root\\from\\child" "t\\o"
+
+interimap_init
+check_mailbox_list
+
+# delete a mailbox on both servers but leave it in the database, then try to use it as target for --rename
+doveadm -u "local" mailbox delete "t.o"
+doveadm -u "remote" mailbox delete "t\\o"
+
+! interimap --rename "root.from" "t.o" || error
+grep -Fx 'database: ERROR: Mailbox t.o exists. Run `interimap --target=database --delete t.o` to delete.' <"$STDERR" || error
+
+# vim: set filetype=sh :